#define STRNCMPT (size_t)
#define SRANDTYPE (int)
#define WRITET (int)
#define READT (int)


extern int             read (int df, char *buf, int nbyte);
extern int             write (int df, char *buf, int nbyte);
extern int             close (int fd);
extern int srandom(int seed);
extern long random(void);

